MailcrateDocs
Suppression

Look up a suppressed address

GET
/public/suppression/{email}

Returns the suppression entry, or 404 when the address is not on the list.

Requires the suppression:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

email*string

Response Body

application/json
  1. response
id*string
email*string
reason*string
Value in"complaint""hard-bounce""import""manual""soft-bounce""unsubscribe"
source*string
Value in"dashboard""import""journey""public-api""ses"
sourceDeliveryId*string|null
note*string|null
createdByUserId*string|null
created*string
Formatdate-time
Example Request
curl -X GET 'https://api.mailcrate.io/public/suppression/string' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "email": "string",  "reason": "complaint",  "source": "dashboard",  "sourceDeliveryId": "string",  "note": "string",  "createdByUserId": "string",  "created": "2019-08-24T14:15:22Z"}